<?php

/***************************************************************************
 * 
 *  Name: Sleek Portfolio
 *  URI: http://jcore.net
 *  Description: This sleek portfolio template is a port to jCore from a great PSD tutorial by Photoshop Plus (http://photoshop-plus.co.uk). It implements a twitter box for your latest tweets, a latest poll on the sidebar.

To modify the social bookmark icons and the twitter feeds please see the Layout Blocks in admin and edit their contents under Content Options. To define sub titles for the menus just edit the menu item and add a <span> html tag around your sub title like "Home <span>The Starting Point</span>".
 *  Author: Richard Carpenter
 *  Version: 1.0
 *  Tags: portfolio, blue, white, twitter, poll, creative commons
 * 
 ****************************************************************************/
 
class templateInstaller extends template {
	// This will be automatically set when activating template so 
	// you can use it to associate with blocks or other things
	var $templateID = 0;
	
	function installSQL() {
		$languageids = array();
		$homepageids = array();
		
		if (JCORE_VERSION >= '0.8') {
			$languageids = (array)languages::getIDs();
			$homepageids = (array)pages::getHomeIDs();
		} else {
			$mainmenu = menuItems::getMainMenu();
			if ($mainmenu)
				$homepageids = array($mainmenu['ID']);
		}
		
		$block809 = sql::run(
			" INSERT INTO `{blocks}` SET" .
			" `Title` = 'Website BG'," .
			" `BlockID` = 'website-bg'," .
			" `CacheRefreshTime` = '10'," .
			" `Limit` = '0'," .
			" `OrderID` = '3'," .
			" `TemplateID` = '".$this->templateID."'");
		
		if (sql::error())
			return false;
		
		$block808 = sql::run(
			" INSERT INTO `{blocks}` SET" .
			" `Title` = 'Website'," .
			" `BlockID` = 'website'," .
			" `SubBlockOfID` = '".$block809."'," .
			" `CacheRefreshTime` = '10'," .
			" `Limit` = '0'," .
			" `OrderID` = '2'," .
			" `TemplateID` = '".$this->templateID."'");
		
		if (sql::error())
			return false;
		
		$block810 = sql::run(
			" INSERT INTO `{blocks}` SET" .
			" `Title` = 'Header'," .
			" `Content` = '<a href=\'%SITE_URL%\' class=\'logo\'></a>\r\n<div class=\'social-bookmarks\'>\r\n<span>My Online Network</span>\r\n<a href=\'http://linkedin.com/in/pijulius\' class=\'linkedin\' target=\'_blank\'></a>\r\n<a href=\'http://twitter.com/pijulius\' class=\'twitter\' target=\'_blank\'></a>\r\n<a href=\'%SITE_URL%rss/posts.xml\' class=\'rss\' target=\'_blank\'></a>\r\n<a href=\'http://facebook.com/jcore-cms\' class=\'facebook\' target=\'_blank\'></a>\r\n</div>'," .
			" `BlockID` = 'header'," .
			" `SubBlockOfID` = '".$block808."'," .
			" `CacheRefreshTime` = '10'," .
			" `Limit` = '0'," .
			" `OrderID` = '2'," .
			" `TemplateID` = '".$this->templateID."'");
		
		if (sql::error())
			return false;
		
		$block811 = sql::run(
			" INSERT INTO `{blocks}` SET" .
			" `Title` = 'Top'," .
			" `BlockID` = 'website-top'," .
			" `SubBlockOfID` = '".$block808."'," .
			" `CacheRefreshTime` = '10'," .
			" `Limit` = '0'," .
			" `OrderID` = '3'," .
			" `TemplateID` = '".$this->templateID."'");
		
		if (sql::error())
			return false;
		
		$block812 = sql::run(
			" INSERT INTO `{blocks}` SET" .
			" `Title` = 'Middle'," .
			" `BlockID` = 'website-middle'," .
			" `SubBlockOfID` = '".$block808."'," .
			" `CacheRefreshTime` = '10'," .
			" `Limit` = '0'," .
			" `OrderID` = '4'," .
			" `TemplateID` = '".$this->templateID."'");
		
		if (sql::error())
			return false;
		
		$block815 = sql::run(
			" INSERT INTO `{blocks}` SET" .
			" `Title` = 'Sidebar'," .
			" `BlockID` = 'sidebar'," .
			" `SubBlockOfID` = '".$block812."'," .
			" `CacheRefreshTime` = '10'," .
			" `Limit` = '0'," .
			" `OrderID` = '1'," .
			" `TemplateID` = '".$this->templateID."'");
		
		if (sql::error())
			return false;
		
		$block818 = sql::run(
			" INSERT INTO `{blocks}` SET" .
			" `Title` = 'Twitter'," .
			" `Content` = '<div class=\'sidebar-title twitter\'>Latest From <b>Twitter</b></div>\r\n<div class=\'twitter-box\'>\r\n<script type=\'text/javascript\' src=\"http://widgets.twimg.com/j/2/widget.js\"></script>\r\n<script type=\'text/javascript\'>\r\nnew TWTR.Widget({\r\n  version: 2,\r\n  type: \'profile\',\r\n  rpp: 5,\r\n  interval: 7000,\r\n  width: \'auto\',\r\n  height: 200,\r\n  theme: {\r\n    shell: {\r\n      background: \'transparent\',\r\n      color: \'#fff\'\r\n    },\r\n    tweets: {\r\n      background: \'transparent\',\r\n      color: \'#ccc\',\r\n      links: \'#408ead\'\r\n    }\r\n  },\r\n  features: {\r\n    scrollbar: false,\r\n    loop: true,\r\n    live: true,\r\n    hashtags: true,\r\n    timestamp: true,\r\n    avatars: false,\r\n    behavior: \'default\'\r\n  }\r\n}).render().setUser(\'pijulius\').start();\r\n</script>\r\n</div>'," .
			" `BlockID` = 'twitter'," .
			" `SubBlockOfID` = '".$block815."'," .
			" `CacheRefreshTime` = '10'," .
			" `Limit` = '0'," .
			" `OrderID` = '1'," .
			" `TemplateID` = '".$this->templateID."'");
		
		if (sql::error())
			return false;
		
		$block819 = sql::run(
			" INSERT INTO `{blocks}` SET" .
			" `Title` = 'Latest Poll'," .
			" `Content` = '<div class=\'sidebar-title poll\'>Share your <b>Opinion</b></div>\r\n{modules}poll/latest{/modules}'," .
			" `BlockID` = 'latest-poll'," .
			" `SubBlockOfID` = '".$block815."'," .
			" `CacheRefreshTime` = '10'," .
			" `Limit` = '0'," .
			" `OrderID` = '2'," .
			" `TemplateID` = '".$this->templateID."'");
		
		if (sql::error())
			return false;
		
		$block817 = sql::run(
			" INSERT INTO `{blocks}` SET" .
			" `Title` = 'Menubar'," .
			" `BlockID` = 'menubar'," .
			" `TypeID` = '3'," .
			" `SubBlockOfID` = '".$block812."'," .
			" `CacheRefreshTime` = '10'," .
			" `Limit` = '0'," .
			" `OrderID` = '2'," .
			" `TemplateID` = '".$this->templateID."'");
		
		if (sql::error())
			return false;
		
		$block816 = sql::run(
			" INSERT INTO `{blocks}` SET" .
			" `Title` = 'Content'," .
			" `BlockID` = 'content'," .
			" `SubBlockOfID` = '".$block812."'," .
			" `CacheRefreshTime` = '10'," .
			" `Limit` = '0'," .
			" `OrderID` = '3'," .
			" `TemplateID` = '".$this->templateID."'");
		
		if (sql::error())
			return false;
		
		$block807 = sql::run(
			" INSERT INTO `{blocks}` SET" .
			" `Title` = 'Main Content'," .
			" `BlockID` = 'main-content'," .
			" `TypeID` = '1'," .
			" `SubBlockOfID` = '".$block816."'," .
			" `CacheRefreshTime` = '10'," .
			" `Limit` = '0'," .
			" `OrderID` = '2'," .
			" `TemplateID` = '".$this->templateID."'");
		
		if (sql::error())
			return false;
		
		$block820 = sql::run(
			" INSERT INTO `{blocks}` SET" .
			" `Title` = 'Clear Booth'," .
			" `Class` = 'clear-both'," .
			" `SubBlockOfID` = '".$block812."'," .
			" `CacheRefreshTime` = '10'," .
			" `Limit` = '0'," .
			" `OrderID` = '4'," .
			" `TemplateID` = '".$this->templateID."'");
		
		if (sql::error())
			return false;
		
		$block813 = sql::run(
			" INSERT INTO `{blocks}` SET" .
			" `Title` = 'Bottom'," .
			" `BlockID` = 'website-bottom'," .
			" `SubBlockOfID` = '".$block808."'," .
			" `CacheRefreshTime` = '10'," .
			" `Limit` = '0'," .
			" `OrderID` = '5'," .
			" `TemplateID` = '".$this->templateID."'");
		
		if (sql::error())
			return false;
		
		$block814 = sql::run(
			" INSERT INTO `{blocks}` SET" .
			" `Title` = 'Footer'," .
			" `Content` = '<div class=\'copyright\'>Copyright %NOW_YEAR% &copy; %PAGE_TITLE%</div>\r\n<div class=\'powered-by\'>Powered by <a href=\'http://jcore.net\' target=\'_blank\'>jCore</a></div>'," .
			" `BlockID` = 'footer'," .
			" `SubBlockOfID` = '".$block808."'," .
			" `CacheRefreshTime` = '10'," .
			" `Limit` = '0'," .
			" `OrderID` = '6'," .
			" `TemplateID` = '".$this->templateID."'");
		
		if (sql::error())
			return false;
		
		return true;
	}
}

?>
